List loyalty transactions
Retrieve the balance history of a card or of your whole organization.
Endpoint
GET/loyalty-transactions
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
organization_id | number | No | ID of your organization. Optional: results are always filtered to the API key's organization. |
member_id | number | No | Only movements of this card |
program_id | number | No | Only movements of this program |
contact_id | number | No | Only movements of this contact |
type | string | No | Filter by type, e.g. earn or redeem. Several types: type[$in][]=earn&type[$in][]=bonus |
source_type / source_id | string | No | Find the movement of one source, e.g. source_type=pos&source_id=POS-TICKET-10045 |
created_at | object | No | Date range, e.g. created_at[$gte]=2026-11-01T00:00:00.000Z |
$limit | number | No | Number of movements to return (default: 10, max: 50) |
$skip | number | No | Number of movements to skip (for pagination) |
$sort | object | No | Sort criteria, e.g. $sort[created_at]=-1 for newest first |
Request
Response
json
To retrieve one movement, see Get a loyalty transaction.
Report an issue with this documentation
Please log in to report issues with our documentation.